Page MenuHomeFreeBSD

games/minecraft-client: add xrandr dependency
ClosedPublic

Authored by voidanix_420blaze.it on Jul 23 2019, 8:56 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Feb 17, 11:27 AM
Unknown Object (File)
Sat, Feb 17, 11:27 AM
Unknown Object (File)
Sat, Feb 17, 11:26 AM
Unknown Object (File)
Sat, Feb 17, 11:25 AM
Unknown Object (File)
Jan 12 2024, 4:15 PM
Unknown Object (File)
Dec 20 2023, 6:00 AM
Unknown Object (File)
Dec 20 2023, 12:07 AM
Unknown Object (File)
Dec 13 2023, 3:57 AM

Details

Summary

I don't know why but 1.8.9 won't start here unless the xrandr dependency is installed

While at it, remove an useless flag in minecraft-client

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

arrowd added inline comments.
games/minecraft-client/files/minecraft-client
19 ↗(On Diff #60063)

I'm a bit worried about this change. Are you sure it is harmless? What FreeBSD version did you test on?

games/minecraft-client/files/minecraft-client
19 ↗(On Diff #60063)

I've tested this on CURRENT, I played without the DefaultFileSystemProvider flag as well, tested version was 1.8.9

On an unrelated note, I also play with java 12 and those 2 flags won't make the launcher work, but I guess almost everyone uses java 8 for the game so we could keep these flags if they are necessary for older versions...

This revision was not accepted when it landed; it landed in state Needs Review.Aug 22 2019, 8:50 AM
This revision was automatically updated to reflect the committed changes.

Thanks for your submission, and sorry for this taking so long.